@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type simklein.txt
echo -----------------------------------------------------------------
echo Press ENTER to create the chain complex of the simplicial complex
pause>nul
echo -----------------------------------------------------------------

simchain simklein.sim simklein.chn

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z of this chain complex
pause>nul
echo -----------------------------------------------------------------

homchain simklein.chn

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z_2 of this chain complex
pause>nul
echo -----------------------------------------------------------------

homchain simklein.chn -p 2

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z_13 of the simplicial complex
pause>nul
echo -----------------------------------------------------------------

homsimpl simklein.sim -p 13

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del simklein.chn

set PATH=%OLDPATH%
set OLDPATH=
