@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type simproj2.txt
echo -----------------------------------------------------------------
echo Press ENTER to create the chain complex of the simplicial complex
pause>nul
echo -----------------------------------------------------------------

simchain simproj2.sim simproj2.chn

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z of this chain complex
pause>nul
echo -----------------------------------------------------------------

homchain simproj2.chn

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z_2 of this chain complex
pause>nul
echo -----------------------------------------------------------------

homchain simproj2.chn -p 2

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology over Z_13 of the simplicial complex
pause>nul
echo -----------------------------------------------------------------

homsimpl simproj2.sim -p 13

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del simproj2.chn

set PATH=%OLDPATH%
set OLDPATH=
