@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type slicing.txt
echo -----------------------------------------------------------------
echo Press ENTER to slice the given cubical set into 3 parts
pause>nul
echo -----------------------------------------------------------------

cubslice slicing.cub slice -p 3 -o 1 -s sover

echo -----------------------------------------------------------------
echo Press ENTER to reduce each of the slices separately
pause>nul
echo -----------------------------------------------------------------

homcubes slice1.cub -k sover1.cub -F sred1.cub
homcubes slice2.cub -k sover2.cub -F sred2.cub
homcubes slice3.cub -k sover3.cub -F sred3.cub

echo -----------------------------------------------------------------
echo Press ENTER to glue the reduced portions of the slices
pause>nul
echo -----------------------------------------------------------------

psetglue sred1.cub sred2.cub sred3.cub sover1.cub sover2.cub sover3.cub sreduced.cub

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology of the glued reduced slices
pause>nul
echo -----------------------------------------------------------------

homcubes sreduced.cub

echo -----------------------------------------------------------------
echo Press ENTER to compute the homology of the original cubical set
pause>nul
echo -----------------------------------------------------------------

homcubes slicing.cub

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del slice1.cub
del slice2.cub
del slice3.cub
del sred1.cub
del sred2.cub
del sred3.cub
del sover1.cub
del sover2.cub
del sover3.cub
del sreduced.cub

set PATH=%OLDPATH%
set OLDPATH=
