@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type vanderpl.txt
echo -----------------------------------------------------------------
echo Press ENTER to verify that the given map is almost perfect
pause>nul
echo -----------------------------------------------------------------

chkperf vanderpl.map

echo -----------------------------------------------------------------
echo Press ENTER to create a suitable chain map
pause>nul
echo -----------------------------------------------------------------

chmap vanderpl.map vanderpl.dat vanderpl.cy

echo -----------------------------------------------------------------
echo Press ENTER to create a purely algebraic representation of the map
pause>nul
echo -----------------------------------------------------------------

cnvchmap -a vanderpl.dat vanderpl.chn vanderpl.chm

echo -----------------------------------------------------------------
echo Press ENTER to compute the map induced in homology
pause>nul
echo -----------------------------------------------------------------

homchain vanderpl.chn vanderpl.chm

echo -----------------------------------------------------------------
echo Press ENTER to verify the map if it is appropriate for HomCubes
pause>nul
echo -----------------------------------------------------------------

chkmvmap -i vanderpl.map

echo -----------------------------------------------------------------
echo Press ENTER to compute the map induced in homology
pause>nul
echo -----------------------------------------------------------------

homcubes -i vanderpl.map

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del vanderpl.dat
del vanderpl.cy
del vanderpl.chn
del vanderpl.chm

set PATH=%OLDPATH%
set OLDPATH=
