@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type circle.txt
echo -----------------------------------------------------------------
echo Press ENTER to check that the given cubical map is almost perfect
pause>nul
echo -----------------------------------------------------------------

chkperf circle.map

echo -----------------------------------------------------------------
echo Press ENTER to create a chain map from the cubical map
pause>nul
echo -----------------------------------------------------------------

chmap circle.map circle.dat circle.cy

echo -----------------------------------------------------------------
echo Press ENTER to convert the chain map to another format
pause>nul
echo -----------------------------------------------------------------

cnvchmap circle.dat -ycircle.cy circle.chx circle.chy circle.chm

echo -----------------------------------------------------------------
echo Press ENTER to compute the map induced in homology
pause>nul
echo -----------------------------------------------------------------

homchain circle.chx circle.chy circle.chm

echo -----------------------------------------------------------------
echo Now another method of homology computation of maps will be used.
echo Press ENTER to veryfiy that the map is acyclic
pause>nul
echo -----------------------------------------------------------------

chkmvmap -i circle.map

echo -----------------------------------------------------------------
echo Press ENTER to compute the map induced in homology
pause>nul
echo -----------------------------------------------------------------

homcubes -i circle.map

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del circle.dat
del circle.cy
del circle.chx
del circle.chy
del circle.chm


set PATH=%OLDPATH%
set OLDPATH=
